Safe Haskell | Safe

PatternSyns

Description

Testing some pattern synonyms

Synopsis

- data FooType x = FooCtor x
- pattern Foo :: t -> FooType t
- pattern Bar :: t -> FooType (FooType t)
- pattern (:<->) :: t -> t -> (FooType t, FooType (FooType t))
- data a >< b = Empty
- pattern E :: (><) k t t

# Documentation

data FooType x

FooType doc

Constructors

FooCtor x |

pattern Foo :: t -> FooType t

Pattern synonym for `Foo` x

pattern Bar :: t -> FooType (FooType t)

Pattern synonym for `Bar` x

pattern (:<->) :: t -> t -> (FooType t, FooType (FooType t))

Pattern synonym for (`:<->`)

data a >< b

Doc for (`><`)

Constructors

Empty |

pattern E :: (><) k t t

Pattern for `Empty`